#
# spec file for package python-yq
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
Name:           python-yq
Version:        2.3.3
Release:        lp150.1.2
Summary:        Command-line YAML processor - jq wrapper for YAML documents
License:        Apache-2.0
Group:          Development/Languages/Python
Url:            https://github.com/kislyuk/yq
Source:         https://files.pythonhosted.org/packages/source/y/yq/yq-%{version}.tar.gz
BuildRequires:  %{python_module PyYAML >= 3.11}
BuildRequires:  %{python_module devel}
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-PyYAML >= 3.11
Requires(post): update-alternatives
Requires(postun): update-alternatives
BuildArch:      noarch

%python_subpackages

%description
yq: Command-line YAML processor - jq wrapper for YAML documents

%prep
%setup -q -n yq-%{version}

%build
%python_build

%install
%python_install
%python_clone -a %{buildroot}%{_bindir}/yq
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%post
%python_install_alternative yq

%postun
%python_uninstall_alternative yq

%files %{python_files}
%defattr(-,root,root,-)
%doc README.rst
%python_alternative %{_bindir}/yq
%{python_sitelib}/*

%changelog
* Wed Dec 20 2017 tbechtold@suse.com
- Initial packaging (version 2.3.3)
